﻿
-- Never Exit --
-- Written by Jaxom of Hellfire --
-- Why no one thought to do this before I don't Know. --
-- GNU General Public License version 3 (GPLv3) --

local NeverExit = ...

NeverExit_Version = GetAddOnMetadata("NeverExit", "Version")

    -- DEFAULTS --

local self = NeverExit;




    -- ON LOAD --

function NeverExit_OnLoad(self)

    
    -- START --
        
        -- REGISTER EVENTS --
        -- Main frame --

        NeverExitFrame:RegisterEvent("VARIABLES_LOADED")
        NeverExitFrame:RegisterEvent("UPDATE")
        NeverExitFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
        
	    table.insert(UISpecialFrames,"NeverExitFrame");     
        
        -- SLASH COMMANDS --
        
        SlashCmdList["NEVEREXIT"] = function(sMsg)
			NeverExit_Slash_Command(sMsg)
		end
		SLASH_NEVEREXIT1 = "/ne";
        SLASH_NEVEREXIT2 = "/NE";
        -- add command to send to Interface, it has no other functions --
       
end

   
   
        -- Load Variables and fire it up :) --
function NeverExit_OnEvent(self, event, ...)
        if event == "PLAYER_ENTERING_WORLD" then
        NeverExit_GameMenu(self, GameMenuFrame);
    end
end	

 

  
            -- Create a Space in Game Menu. Oh thats it :) --
function NeverExit_GameMenu(self, GameMenuFrame)
        if GameMenuFrame_UpdateVisibleButtons then
			hooksecurefunc("GameMenuFrame_UpdateVisibleButtons", function()
			GameMenuFrame:SetHeight(GameMenuFrame:GetHeight() + 20)
					end)
				end
			local point, relativeTo, relativePoint, x, y = GameMenuButtonQuit:GetPoint(1)
				if (relativeTo and relativeTo ~= self) then
					self:SetPoint(point, relativeTo, relativePoint, x, y)
			end
			GameMenuButtonQuit:ClearAllPoints()
		    GameMenuButtonQuit:SetPoint("TOP", self, "BOTTOM", 0, - 1)
            NEGameMenu:Hide()
end

       

   -- INTERFACE OPTIONS MENU -- 
 
	local neverexit = CreateFrame("Frame", "NeverExit", UIParent)
	neverexit:Hide()
    neverexit:IsResizable(true)
    neverexit:SetMinResize(350,250)
	neverexit.name = "Never Exit"
    neverexit:SetBackdropColor(0, 0, 0, 1)
	neverexit:SetWidth(250)
	neverexit:SetHeight(400)
	neverexit:SetPoint("CENTER", UIParent, "CENTER")
	InterfaceOptions_AddCategory(neverexit)

	local title = neverexit:CreateFontString("NeverExitTitle", "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -20)
	title:SetText("Never Exit ("..NeverExit_Version..")" )
 
    
    local neEditBox = CreateFrame("EditBox", "NeverExitEditBox", neverexit)
    neEditBox:SetPoint ("TOPLEFT",26,-42)
	neEditBox:EnableMouse(false)
	neEditBox:SetAutoFocus(false)
	neEditBox:SetFontObject(GameFontNormal)
	neEditBox:SetWidth(450)
	neEditBox:SetHeight(120)
    neEditBox:SetText("")
	neEditBox:Show()
    
    local neEditBoxText = neEditBox:CreateFontString("NeverExitEditBoxTitle", "ARTWORK", "GameFontHighlight")
	neEditBoxText:SetPoint("BOTTOMLEFT", neEditBox, 5, -5)
	neEditBoxText:SetWidth(420)
	neEditBoxText:SetHeight(110)
    neEditBoxText:SetFontObject(GameFontHighlight)
    neEditBoxText:SetJustifyH("LEFT")
	neEditBoxText:SetText("All this does is put a gap between Logout and Exit on the Game Menu Frame")
    
    local neEditBoxText2 = neEditBox:CreateFontString("NeverExitEditBoxTitle", "ARTWORK", "GameFontHighlight")
	neEditBoxText2:SetPoint("BOTTOMLEFT", neEditBox, 5, -115)
	neEditBoxText2:SetWidth(420)
	neEditBoxText2:SetHeight(110)
    neEditBoxText2:SetFontObject(GameFontHighlight)
    neEditBoxText2:SetJustifyH("LEFT")
	neEditBoxText2:SetText("Written by (was real tough :)). |cff007fffJaxom of Hellfire EU")
    
    

